This commit is contained in:
parent
ff4b21879c
commit
f1d1f2d22d
@ -1,8 +1,6 @@
|
||||
SUSE specific find-debuginfo changes.
|
||||
|
||||
--- ./scripts/find-debuginfo.sh.orig 2005-07-14 15:52:31.000000000 +0000
|
||||
+++ ./scripts/find-debuginfo.sh 2006-03-17 13:13:03.000000000 +0000
|
||||
@@ -14,9 +14,18 @@ debugdir="${RPM_BUILD_ROOT}/usr/lib/debu
|
||||
--- scripts/find-debuginfo.sh
|
||||
+++ scripts/find-debuginfo.sh
|
||||
@@ -14,9 +14,18 @@
|
||||
echo -n > $SOURCEFILE
|
||||
|
||||
# Strip ELF binaries
|
||||
@ -23,7 +21,7 @@ SUSE specific find-debuginfo changes.
|
||||
dn=$(dirname $f | sed -n -e "s#^$RPM_BUILD_ROOT##p")
|
||||
bn=$(basename $f .debug).debug
|
||||
|
||||
@@ -25,6 +34,8 @@ do
|
||||
@@ -25,6 +34,8 @@
|
||||
[ -f "${debugfn}" ] && continue
|
||||
|
||||
echo extracting debug info from $f
|
||||
@ -32,7 +30,7 @@ SUSE specific find-debuginfo changes.
|
||||
/usr/lib/rpm/debugedit -b "$RPM_BUILD_DIR" -d /usr/src/debug -l "$SOURCEFILE" "$f"
|
||||
|
||||
# A binary already copied into /usr/lib/debug doesn't get stripped,
|
||||
@@ -34,19 +45,56 @@ do
|
||||
@@ -34,19 +45,58 @@
|
||||
esac
|
||||
|
||||
mkdir -p "${debugdn}"
|
||||
@ -45,18 +43,20 @@ SUSE specific find-debuginfo changes.
|
||||
+ objcopy --only-keep-debug $f $debugfn || :
|
||||
+ strip_option="--strip-all"
|
||||
+ case "$f" in
|
||||
+ *.ko|*.a) strip_option="--strip-debug" ;;
|
||||
+ *$STRIP_KEEP_SYMTAB*)
|
||||
+ strip_option="--strip-debug"
|
||||
+ ;;
|
||||
+ *.ko|*.a)
|
||||
+ strip_option="--strip-debug"
|
||||
+ ;;
|
||||
+ esac
|
||||
+ if test -n "$STRIP_KEEP_SYMTAB" ; then
|
||||
+ strip_option="--strip-debug"
|
||||
fi
|
||||
+ if test "$NO_DEBUGINFO_STRIP_DEBUG" = true ; then
|
||||
+ strip_option=
|
||||
+ fi
|
||||
fi
|
||||
+ objcopy --add-gnu-debuglink=$debugfn $strip_option $f || :
|
||||
+ chmod $mode $f
|
||||
done
|
||||
|
||||
+done
|
||||
+
|
||||
+for f in `find $RPM_BUILD_ROOT ! -path "${debugdir}/*.debug" -type f \( -name "*.exe.mdb" -or -name "*.dll.mdb" \) `
|
||||
+do
|
||||
+ dn=$(dirname $f | sed -n -e "s#^$RPM_BUILD_ROOT##p")
|
||||
@ -66,8 +66,8 @@ SUSE specific find-debuginfo changes.
|
||||
+ debugdn="${debugdir}${dn}"
|
||||
+ mkdir -p "${debugdn}"
|
||||
+ mv "$f" "${debugdn}"
|
||||
+done
|
||||
+
|
||||
done
|
||||
|
||||
+
|
||||
mkdir -p ${RPM_BUILD_ROOT}/usr/src/debug
|
||||
-cat $SOURCEFILE | (cd $RPM_BUILD_DIR; LANG=C sort -z -u | cpio -pd0m ${RPM_BUILD_ROOT}/usr/src/debug)
|
||||
|
@ -16,7 +16,7 @@ License: GNU General Public License (GPL)
|
||||
Group: System/Packages
|
||||
Summary: Python Bindings for Manipulating RPM Packages
|
||||
Version: 4.4.2
|
||||
Release: 104
|
||||
Release: 105
|
||||
Requires: rpm = %{version}
|
||||
|
||||
%py_requires
|
||||
|
@ -1,3 +1,9 @@
|
||||
-------------------------------------------------------------------
|
||||
Tue Apr 17 14:24:01 CEST 2007 - dmueller@suse.de
|
||||
|
||||
- strip comment and gcc command line sections from the packages
|
||||
- rework SYMTAB_KEEP to accept a file pattern
|
||||
|
||||
-------------------------------------------------------------------
|
||||
Sun Apr 8 23:22:12 CEST 2007 - schwab@suse.de
|
||||
|
||||
|
9
rpm.spec
9
rpm.spec
@ -20,7 +20,7 @@ PreReq: %insserv_prereq %fillup_prereq popt = %{popt_version} permission
|
||||
Autoreqprov: on
|
||||
Summary: The RPM Package Manager
|
||||
Version: 4.4.2
|
||||
Release: 97
|
||||
Release: 98
|
||||
Source: rpm-%{version}.tar.bz2
|
||||
Source1: RPM-HOWTO.tar.bz2
|
||||
Source2: RPM-Tips.html.tar.bz2
|
||||
@ -321,7 +321,7 @@ Summary: A C library for parsing command line parameters
|
||||
License: GNU Library General Public License v. 2.0 and 2.1 (LGPL)
|
||||
Group: System/Libraries
|
||||
Version: 1.7
|
||||
Release: 325
|
||||
Release: 326
|
||||
#
|
||||
|
||||
%description -n popt
|
||||
@ -344,7 +344,7 @@ Summary: C Library for Parsing Command Line Parameters
|
||||
License: GNU Library General Public License v. 2.0 and 2.1 (LGPL)
|
||||
Group: System/Libraries
|
||||
Version: 1.7
|
||||
Release: 325
|
||||
Release: 326
|
||||
Requires: popt = 1.7
|
||||
Requires: glibc-devel
|
||||
|
||||
@ -380,6 +380,9 @@ Authors:
|
||||
%doc %{_mandir}/man3/popt.3*
|
||||
|
||||
%changelog
|
||||
* Tue Apr 17 2007 - dmueller@suse.de
|
||||
- strip comment and gcc command line sections from the packages
|
||||
- rework SYMTAB_KEEP to accept a file pattern
|
||||
* Sun Apr 08 2007 - schwab@suse.de
|
||||
- Include compilation directory in debuginfo file list.
|
||||
* Sat Mar 24 2007 - ro@suse.de
|
||||
|
Loading…
Reference in New Issue
Block a user